# FoundationClasses
TKernel
TShort

# TShort_Array2OfShortReal Class Reference

`#include <TShort_Array2OfShortReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TShort_Array2OfShortReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TShort_Array2OfShortReal (const Standard_ShortReal &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_EXPORT void | Destroy ()
| ~TShort_Array2OfShortReal ()
Standard_EXPORT const TShort_Array2OfShortReal & | Assign (const TShort_Array2OfShortReal &Other)
const TShort_Array2OfShortReal & | operator= (const TShort_Array2OfShortReal &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Standard_ShortReal & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Standard_ShortReal & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | TShort_Array2OfShortReal (const TShort_Array2OfShortReal &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT TShort_Array2OfShortReal::TShort_Array2OfShortReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TShort_Array2OfShortReal::TShort_Array2OfShortReal | ( | const Standard_ShortReal & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

TShort_Array2OfShortReal::~TShort_Array2OfShortReal | ( |  | ) | `[inline]`

Standard_EXPORT TShort_Array2OfShortReal::TShort_Array2OfShortReal | ( | const TShort_Array2OfShortReal & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TShort_Array2OfShortReal::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const TShort_Array2OfShortReal& TShort_Array2OfShortReal::Assign | ( | const TShort_Array2OfShortReal & | Other | ) |

Standard_ShortReal& TShort_Array2OfShortReal::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TShort_Array2OfShortReal::ColLength | ( |  | ) | const

Standard_EXPORT void TShort_Array2OfShortReal::Destroy | ( |  | ) |

Standard_EXPORT void TShort_Array2OfShortReal::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Integer TShort_Array2OfShortReal::LowerCol | ( |  | ) | const

Standard_Integer TShort_Array2OfShortReal::LowerRow | ( |  | ) | const

void TShort_Array2OfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TShort_Array2OfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* TShort_Array2OfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_ShortReal& TShort_Array2OfShortReal::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Standard_ShortReal& TShort_Array2OfShortReal::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const TShort_Array2OfShortReal& TShort_Array2OfShortReal::operator= | ( | const TShort_Array2OfShortReal & | Other | ) | `[inline]`

Standard_Integer TShort_Array2OfShortReal::RowLength | ( |  | ) | const

void TShort_Array2OfShortReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer TShort_Array2OfShortReal::UpperCol | ( |  | ) | const

Standard_Integer TShort_Array2OfShortReal::UpperRow | ( |  | ) | const

const Standard_ShortReal& TShort_Array2OfShortReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address TShort_Array2OfShortReal::myData `[private]`

Standard_Boolean TShort_Array2OfShortReal::myDeletable `[private]`

Standard_Integer TShort_Array2OfShortReal::myLowerColumn `[private]`

Standard_Integer TShort_Array2OfShortReal::myLowerRow `[private]`

Standard_Integer TShort_Array2OfShortReal::myUpperColumn `[private]`

Standard_Integer TShort_Array2OfShortReal::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TShort_Array2OfShortReal.hxx